package com.sinosig.web.external.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[交强险报价]
 */
public class JQXBJ implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 费率系数
     */
    private Double Flxs;

    @JsonIgnore
    private boolean FlxsDirtyFlag;
    /**
     * 交强险报价名称
     */
    private String JQXBJName;

    @JsonIgnore
    private boolean JQXBJNameDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * 实交保费
     */
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;
    /**
     * 责任限额
     */
    private BigDecimal Zrxe;

    @JsonIgnore
    private boolean ZrxeDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 交强险报价标识
     */
    private String JQXBJId;

    @JsonIgnore
    private boolean JQXBJIdDirtyFlag;
    /**
     * 条款代码
     */
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 条款名称
     */
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;
    /**
     * 基准保费
     */
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;

    /**
     * 获取 [费率系数]
     */
    @JsonProperty("flxs")
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [费率系数]
     */
    @JsonProperty("flxs")
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }

    /**
     * 获取 [费率系数]脏标记
     */
    @JsonIgnore
    public boolean getFlxsDirtyFlag(){
        return this.FlxsDirtyFlag ;
    }

    /**
     * 获取 [交强险报价名称]
     */
    @JsonProperty("jqxbjname")
    public String getJQXBJName(){
        return JQXBJName ;
    }

    /**
     * 设置 [交强险报价名称]
     */
    @JsonProperty("jqxbjname")
    public void setJQXBJName(String  jQXBJName){
        this.JQXBJName = jQXBJName ;
        this.JQXBJNameDirtyFlag = true ;
    }

    /**
     * 获取 [交强险报价名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXBJNameDirtyFlag(){
        return this.JQXBJNameDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [实交保费]
     */
    @JsonProperty("sjbf")
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    @JsonProperty("sjbf")
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return this.SjbfDirtyFlag ;
    }

    /**
     * 获取 [责任限额]
     */
    @JsonProperty("zrxe")
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    @JsonProperty("zrxe")
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

    /**
     * 获取 [责任限额]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return this.ZrxeDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [交强险报价标识]
     */
    @JsonProperty("jqxbjid")
    public String getJQXBJId(){
        return JQXBJId ;
    }

    /**
     * 设置 [交强险报价标识]
     */
    @JsonProperty("jqxbjid")
    public void setJQXBJId(String  jQXBJId){
        this.JQXBJId = jQXBJId ;
        this.JQXBJIdDirtyFlag = true ;
    }

    /**
     * 获取 [交强险报价标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXBJIdDirtyFlag(){
        return this.JQXBJIdDirtyFlag ;
    }

    /**
     * 获取 [条款代码]
     */
    @JsonProperty("tkdm")
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    @JsonProperty("tkdm")
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return this.TkdmDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [条款名称]
     */
    @JsonProperty("tkmc")
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    @JsonProperty("tkmc")
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return this.TkmcDirtyFlag ;
    }

    /**
     * 获取 [基准保费]
     */
    @JsonProperty("jzbf")
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    @JsonProperty("jzbf")
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return this.JzbfDirtyFlag ;
    }



}
